Avro C++

Static Public Member Functions | List of all members
avro::codec_traits< std::map< std::string, T > > Struct Template Reference

codec_traits for Avro maps. More...

`#include <Specific.hh>`

## Static Public Member Functions
static void | encode (Encoder &e, const std::map< std::string, T > &b)
| Encodes a given value.
static void | decode (Decoder &d, std::map< std::string, T > &s)
| Decodes into a given value.

## Detailed Description

### template<typename T>
struct avro::codec_traits< std::map< std::string, T > >

codec_traits for Avro maps.

The documentation for this struct was generated from the following file:

- api/Specific.hh